# \[Deprecated] Disable A Webhook Endpoint

{% hint style="warning" %}
`This API is deprecated, please reference to` [`update a live webhook endpoint`](https://docs.uiza.io/api-reference/webhook_endpoints/update-webhook-endpoint)`API instead.`
{% endhint %}

## &#x20;/v1/webhook\_endpoints/:id:disable

<mark style="color:green;">`POST`</mark> `https://api.uiza.sh/v1/webhook_endpoints/:id:disable`

&#x20;This endpoint allows you to get free cakes.

#### Path Parameters

| Name | Type   | Description                                                |
| ---- | ------ | ---------------------------------------------------------- |
| id   | string | The unique identifier of your webhook endpoint to disabled |

{% tabs %}
{% tab title="200 " %}

```
{
 "id": "f0f207af-b338-4b7f-8d32-fe9cfa9566eb",
 "url": "https://webhook-test.com/live/created",
 "status": "disabled",
 "secret": "fkjgbkdb28484927gfjkbgkw",
 "created_at": "2019-12-16T10:57:32Z",
 "updated_at": "2019-12-16T10:57:32Z"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="404 " %}

```
{
 "message": "The webhook endpoint you requested does not exist.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl -X POST https://api.uiza.sh/v1/webhook_endpoints/f0f207af-b338-4b7f-8d32-fe9cfa9566eb:disable
     -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64'
```

{% endcode %}
